> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yabetoopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Disbursement

> Retrieve a disbursement by its ID.

## Endpoint

```bash theme={null}
GET https://pay.sandbox.yabetoopay.com/v1/disbursement/{id}   # Sandbox
GET https://pay.api.yabetoopay.com/v1/disbursement/{id}       # Production
```

## Authentication

Use your secret key in the `Authorization` header:

```bash theme={null}
Authorization: Bearer YOUR_SECRET_KEY
```

## Path Parameters

| Parameter | Type     | Description         |
| --------- | -------- | ------------------- |
| `id`      | `string` | The disbursement ID |

## Example Request

<CodeGroup>
  ```bash cURL theme={null}
  curl https://pay.sandbox.yabetoopay.com/v1/disbursement/wt_RMqehxy8NNi1ocJFG2SSAZMj81m6spo72vnZ \
    -H "Authorization: Bearer YOUR_SECRET_KEY"
  ```

  ```javascript JavaScript theme={null}
  import Yabetoo from "@yabetoo/sdk-js";

  const yabetoo = new Yabetoo("YOUR_SECRET_KEY");

  const disbursement = await yabetoo.disbursements.retrieve("wt_RMqehxy8NNi1ocJFG2SSAZMj81m6spo72vnZ");
  ```

  ```python Python theme={null}
  from yabetoo import Yabetoo

  yabetoo = Yabetoo("YOUR_SECRET_KEY")

  disbursement = yabetoo.disbursements.retrieve("wt_RMqehxy8NNi1ocJFG2SSAZMj81m6spo72vnZ")
  ```

  ```php PHP theme={null}
  <?php
  require 'vendor/autoload.php';

  use Yabetoo\Yabetoo;

  $yabetoo = new Yabetoo("YOUR_SECRET_KEY");

  $disbursement = $yabetoo->disbursements->retrieve("wt_RMqehxy8NNi1ocJFG2SSAZMj81m6spo72vnZ");
  ```

  ```java Java theme={null}
  import com.yabetoo.Yabetoo;
  import com.yabetoo.YabetooConfig;
  import com.yabetoo.model.Disbursement;

  YabetooConfig config = new YabetooConfig()
      .setApiKey("YOUR_SECRET_KEY");

  Yabetoo yabetoo = new Yabetoo(config);

  Disbursement disbursement = yabetoo.disbursements().retrieve("wt_RMqehxy8NNi1ocJFG2SSAZMj81m6spo72vnZ");
  ```
</CodeGroup>

## Response

### 200 OK

```json theme={null}
{
  "amount": 10000,
  "currency": "XAF",
  "status": "processing",
  "firstName": "Jean",
  "lastName": "Dupont",
  "operatorName": "mtn",
  "country": "cg",
  "phone": "242066594471",
  "object": "disbursement",
  "type": 1,
  "shouldExecutedAt": "2025-03-18T09:24:57.555Z",
  "id": "wt_RMqehxy8NNi1ocJFG2SSAZMj81m6spo72vnZ",
  "createdAt": "2025-03-17T10:24:57.559+01:00",
  "updatedAt": "2025-03-17T10:24:57.559+01:00"
}
```

### Disbursement Status

| Status       | Description                         |
| ------------ | ----------------------------------- |
| `processing` | Being processed                     |
| `succeeded`  | Disbursement completed successfully |
| `failed`     | Disbursement failed                 |
| `canceled`   | Disbursement was canceled           |

### 404 Not Found

```json theme={null}
{
  "message": "Disbursement not found"
}
```

### 401 Unauthorized

```json theme={null}
{
  "message": "Unauthorized"
}
```
